import type { ISourceOptions } from "@tsparticles/engine";

const color = "#303331";

export const options: ISourceOptions = {
  autoPlay: true,
  background: {
    opacity: 0,
  },
  particles: {
    number: {
      value: 10,
      density: {
        enable: true,
        height: 300,
        width: 300,
      },
    },
    links: {
      distance: 150,
      enable: true,
      color: color,
    },
    move: {
      enable: true,
      speed: 0.2,
    },
    size: {
      value: 2,
    },
    shape: {
      type: "circle",
    },
    color: {
      value: color,

    },
    opacity: {
      value: 0.2,
    }
  },
  interactivity: {
    events: {
      onHover: {
        enable: true,
        parallax: {
          enable: true,
          force: 20,
          smooth: 150,
        },
      },
    },
  },
  fullScreen: {
    enable: false,
  },
};
